"""added errexit to std_calibration script template

Revision ID: 2ac701610fc7
Revises: 12b2de18a383
Create Date: 2021-07-01 16:04:31.042789

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "2ac701610fc7"
down_revision = "12b2de18a383"
branch_labels = None
depends_on = None


def upgrade():
    shell_script_content_std_calibration = """#!/bin/sh

export HOME=$TMPDIR

set -o errexit
./framework.sh -d .
chmod 770 .
cd rawdata/
../productfetcher --product-locator $1
cd ../
./casa_envoy --standard-cal $3 $4
./conveyor --deliver $3

"""

    op.execute(
        "UPDATE workflow_templates "
        f"SET content = E'{shell_script_content_std_calibration}' "
        "WHERE filename = 'std_calibration.sh'"
    )


def downgrade():
    shell_script_content_std_calibration = """#!/bin/sh

export HOME=$TMPDIR

./framework.sh -d .
chmod 770 .
cd rawdata/
../productfetcher --product-locator $1
cd ../
./casa_envoy --standard-cal $3 $4
./conveyor --deliver $3

"""

    op.execute(
        "UPDATE workflow_templates "
        f"SET content = E'{shell_script_content_std_calibration}' "
        "WHERE filename = 'std_calibration.sh'"
    )
